Subject: bug#77283: closed (Re: bug#77283: Shepherd can't parse logs.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 31 Mar 2025 21:18:02 +0000

Your bug report

#77283: [Shepherd] System log crashes when parsing message

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77283: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77283
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77283: Shepherd can't parse logs.
From: Ludovic Courtès <[email-masked]>
To: MSavoritias <[email-masked]>
Cc: [email-masked]
Date: Mon, 31 Mar 2025 23:17:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> skribis:

> The code that throws that out-of-range exception on ‘substring’ is
> (match:substring m 3) in ‘parse-system-log-message’.
>
> Normally, ‘regexp-exec’ returns match structures with correct
> boundaries, but in this case it didn’t.  I reported it here:
>
>   https://issues.guix.gnu.org/77392

Fixed in d98d61a8a3f20de46d18ce4a8af05c93fab20b89 by sidestepping the
Guile bug.

>   1. Run shepherd in a UTF-8 locale; a quick workaround is to run:
>
>        sudo herd eval root '(setlocale LC_ALL "C.UTF-8")'

I recommend doing this while waiting for 1.0.4 to be out, normally in
less than a month.

Ludo’.

Subject: Shepherd can't parse logs.
From: MSavoritias <[email-masked]>
To: [email-masked]
Date: Wed, 26 Mar 2025 15:42:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Shepherd has been crashing our system with the message:

https://upload.magicbroccoli.de/fb6e7843fef693538a5c7c156c0a98fc0aeb6bac/KmA7ovtC2Fcw0Nm0PSCtphwSyDLI1VUF3QrT9PtD/Kuvakaappaus_-_2025-03-26_13-27-11.png

This ends up with prosody and openssh crashing, nginx still working. the 
picture shows shepherd system-log crashing with:

uncaught exception, value out of range in fibers. It references an 
"unknown file" and a string with prosody.

I looked into git commits in the last month (bug didn't exist before end 
of January/beginning of February, it seems that the bug is either 
shepherd itself, it was updated recently and that is what i was told in 
the irc. Or it is the certbot timer. Certbot timer is the only service 
we have installed from the ones that changed.

Being certbot makes less sense since prosody is mentioned specifically 
tho so it seems a bug in how shepherd parses logs.

Our whole config is here -> https://codeberg.org/joinjabber/Infra

MSavoritias